Loading...
Searching...
No Matches
Public Attributes | List of all members
rapidjson::GenericMember< Encoding, Allocator > Struct Template Reference

Name-value pair in a JSON object value. More...

`#include <document.h>`

## Public Attributes
GenericValue< Encoding, Allocator > | name
| name of member (must be a string)
GenericValue< Encoding, Allocator > | value
| value of member.

## Detailed Description

template<typename Encoding, typename Allocator>
struct rapidjson::GenericMember< Encoding, Allocator >

Name-value pair in a JSON object value.

This class was internal to GenericValue. It used to be a inner struct. But a compiler (IBM XL C/C++ for AIX) have reported to have problem with that so it moved as a namespace scope struct. https://code.google.com/p/rapidjson/issues/detail?id=64

The documentation for this struct was generated from the following files:

- include/rapidjson/document.h
- include/rapidjson/fwd.h